<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.60</title>
</head>

<body>
    <script>
        function arrayExercise() {
            // task 1: Trả về tên các key của object
            var input1 = {
                name: "David Rayy",
                sclass: "VI",
                rollno: 12
            }

            Object.keys(input1).forEach(key => {
                console.log(key)
            })
            // task 2: Loại bỏ thuộc tính rollno khỏi object 
            delete input1.rollno;
            console.log(input1);

            // task 3: Đếm số key của object
            console.log(Object.keys(input1).length)
            // task4: sắp xếp các phần tử của mảng tăng dần
            var arr4 = [6, 4, 0, 3, -2, 1]
            arr4.sort();
            console.log(arr4)
            // task 5: Trả về mảng các từ con của 1 chuỗi đã cho
            var input = "dog";
            console.log(input.length)
            var newArr = new Array;
            var n = 0
            for (let i = 0; i < input.length; i++) {
                var item = input.substr(n, i + 1);
                newArr.push(item)
                for (let x = 1; x < input.length - 1; x++) {
                    var item1 = input.substr(x, x + 1);
                    newArr.push(item1)
                }
            }
            console.log(newArr)
            // task6 : Tách mảng đã cho thành 3 phần. Phần tử đầu tiên, phần tử thứ 2 và các phần tử còn lại
            var arr6 = ["white", "blue", "yellow", "black", "red", "green"];
            var task6 = () => {
                var slice = arr6.splice(0, 2);
                return [slice.join(), arr6]
            }
            console.log(task6())
            // task 7: Sử dụng template literal in ra nội dung thông báo tổng của 2 số
            var a = 5;
            var b = 10;
            const sumNumber = (a, b) => {
                var sum = a + b;
                console.log(`Sum of ${a} and ${b} is ${sum}`)
            }
            sumNumber(a, b)
            // task 8: 
            var input = "JavaScript";
            const spreadOperator = input => {
                var spread = [...input];
                console.log(spread)
            }
            spreadOperator(input)
            // task 9: Kiểm tra ngày đã cho có phải cuối tuần (thứ 7/chủ nhật không) (Gợi ý: Sử dụng getDay)
            var day1 = 'Nov 15, 2014'
            var day2 = 'Nov 16, 2014'

            const checkWeekend = (date) =>{
                var newDay = new Date(date);
                console.log(newDay.getDay())
                if(newDay.getDay() == 0 || newDay.getDay() == 1){
                    console.log(true)
                } else {
                    console.log(false);
                }
            }
            checkWeekend(day1);
            checkWeekend(day2)
            // task 10: Trả về số ngày của tháng , năm đã cho
            var year = '2022'
            var month = '1'
            var day4 = 'Nov 16, 2014'
            const checkDay = () =>{
                var newDay = new Date(0, month, year);
                console.log(newDay)
                console.log(newDay.getDate())
                // 
            }
            checkDay();

           



        }
        arrayExercise()
    </script>

</body>

</html>